![PECOS](docs/images/pecos_large_logo.png)
=======================================

[![PyPI version](https://badge.fury.io/py/quantum-pecos.svg)](https://badge.fury.io/py/quantum-pecos)
[![Documentation Status](https://readthedocs.org/projects/quantum-pecos/badge/?version=latest)](https://quantum-pecos.readthedocs.io/en/latest/?badge=latest)
[![Python Status](https://img.shields.io/badge/python-3.8%2C%203.9%2C%203.10%2C%203.11-brightgreen.svg)](https://img.shields.io/badge/python-3.8%2C%203.9%2C%203.10%2C%203.11-brightgreen.svg)
[![Supported by Quantinuum](https://img.shields.io/badge/supported_by-Quantinuum-blue)](https://www.quantinuum.com/)

Performance Estimator of Codes On Surfaces (PECOS) is a Python framework for studying, developing, and evaluating 
quantum error-correction protocols as well as advance hybrid compute execution models for NISQ algorithms and beyond.

PECOS aims to balance clarity, flexibility, and performance, with hopefully maximizing all three when possible.

- Language: Python 3.8+ (with optional C and C++ extensions)

## Getting Started

To get started, check out the documentation in the "docs" folder or find it online:

https://quantum-pecos.readthedocs.io

## Versioning

PECOS uses semantic versioning. However, until version 1.0.0, for the MAJOR.MINOR.BUG format, the role of MAJOR and 
MINOR shifts down one. That is, going from version 0.1.0 to 0.2.0 can include API breaking.

## Latest Development

See here for latest code in development:

https://quantum-pecos.readthedocs.io/en/development/

## Installation

Clone or download/unzip the version of PECOS you would like to use. Next, navigate to the root of the package 
(where setup.py is located) and run:
```
pip install .
```

To install and continue to develop the version of PECOS located in the install folder, run the
 following instead:
```
pip install -e .
```

## Uninstall

To uninstall run:
```
pip uninstall quantum-pecos
```

## Supported by

[<img src="https://assets-global.website-files.com/62b9d45fb3f64842a96c9686/6328d9f47889343caabf2639_Quantinuum%20Logo__horizontal%20blue.png" height="100">](https://www.quantinuum.com/)
